cURL
curl --request GET \ --url https://api.dooki.com.br/v2/{alias}/marketing/banners/{id}/promotions \ --header 'User-Secret-Key: <api-key>' \ --header 'User-Token: <api-key>'
{ "data": [ { "id": 123, "active": true, "all_products": true, "utm_only": true, "highlight_on_menu": true, "accumulate": true, "price_attribute": "<string>", "name": "Promoção relâmpago", "expired": true, "url": "https://www.domain.com/promocoes/test", "slug": "<string>", "value": 123, "utm_source": "google", "utm_campaign": "adwords", "start_at": { "date": "2000-08-17 10:24:24", "timezone_type": 3, "timezone": "America/Sao_Paulo" }, "end_at": { "date": "2000-08-17 10:24:24", "timezone_type": 3, "timezone": "America/Sao_Paulo" }, "created_at": { "date": "2000-08-17 10:24:24", "timezone_type": 3, "timezone": "America/Sao_Paulo" }, "updated_at": { "date": "2000-08-17 10:24:24", "timezone_type": 3, "timezone": "America/Sao_Paulo" } } ], "meta": { "pagination": { "total": "10", "count": "30", "per_page": "10", "current_page": "1", "total_pages": "3", "links": { "previous": "", "next": "" } } } }
Retorna uma lista com os dados das promoções que um banner específico pertence
Documentation IndexFetch the complete documentation index at: https://docs.yampi.com.br/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.yampi.com.br/llms.txt
Use this file to discover all available pages before exploring further.
Alias da loja
ID do banner
Lista de promoções associadas ao banner
Representa uma paginação com meta
Show child attributes
Was this page helpful?